Subject: Re: bug#18390: 24.4.50; REGRESSION: `split-window' error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2016 10:44:46 +0300

> Date: Fri, 30 Sep 2016 14:12:49 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > This is pretty old, but I can't reproduce it on master (NS port). Do you
> > know if it's still a problem?
> 
> Yes, 100% reproducible, on MS Windows, at least, using Emacs 25.1:

The backtrace shows that this is the reason for signaling the error:

  split-window(#<window 8 on Palette (Hue x Saturation)> 100 t)

This requests to split an 80-column window while leaving the original
window 100 columns, which is clearly impossible.  So why is this a
bug in Emacs and not in palette.el?